Subject: bug#2951: Suggestion: self-evaluating-p function

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 Apr 2009 22:06:20 -0400

>>> (list symbol (if (self-evaluating-p value)
>>> value
>>> (list 'quote value))))
>> 
>> Why not just          (list symbol (list 'quote value)))        ?

> Yes, this was my first attempt, too.  But I got puzzled whether
> or not the extra quote matters in any way, especiall with lambda
> expressions.  Since I couldn't find a satisfactory answer in the
> Elisp reference manual, I decided to get rid of it just to be save.

> So, If you tell me that the quote does no harm no matter what Lisp
> object is quoted, I can live without a self-evaluating-p function.

By definition (self-evaluating-p VALUE) tests whether evaluating VALUE
or evaluating (quote VALUE) will return the same thing.
I.e. the quote does no harm.

        Stefan